%define pgroup		kde-multimedia
%define pname		kmix
%define version		15.04.3
%define release		%mkrel 1

Name:			%{pgroup}-%{pname}
Version:		%{version}
Release:		%{release}
Summary:	Digital Mixer for KDE 4
URL:		http://multimedia.kde.org/
Group:		Graphical desktop/KDE4
License:	GPL v3
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kmix-%{version}.tar.xz
BuildRequires: 	kdelibs-devel
BuildRequires: 	%{_lib}canberra-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Provides:		kmix
Obsoletes: 	kde-multimedia-core =< 4.8.3
Obsoletes:	kde-multimedia-audiocd =< 4.8.3

%description
KMix is an application to allow you to change the volume of your sound card. Though small, it is full-featured, and it supports several platforms and sound drivers.

Features
	  - Support for ALSA and OSS sound systems
	  - Plasma Desktop integrated on-screen-display for volume changes

%prep
%setup -q -n kmix-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Audio" \
  --add-only-show-in="KDE" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kmix.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_kde_appsdir/kmix
%_kde_bindir/kmix
%_kde_bindir/kmixremote
%_kde_bindir/kmixctrl
%_kde_datadir/applications/kde4/kmix.desktop
%_kde_datadir/autostart/restore_kmix_volumes.desktop
%_kde_datadir/kde4/services/kmixctrl_restore.desktop
%_kde_datadir/kde4/services/kded/kmixd.desktop
%_kde_libdir/libkdeinit4_kmix*
%_kde_libdir/kde4/kded_kmixd.so
%_kde_autostart/kmix_autostart.desktop
%_kde_datadir/dbus-1/interfaces/org.kde.kmix.control.xml
%_kde_datadir/dbus-1/interfaces/org.kde.kmix.mixer.xml
%_kde_datadir/dbus-1/interfaces/org.kde.kmix.mixset.xml
%_kde_docdir/HTML/en/kmix
%_kde_iconsdir/hicolor/*/apps/kmix.png


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

